Default configuration: /usr/local/lib/rpm/rpmpopt-5.2.1

#

    #
    # /usr/local/lib/rpm/rpmpopt.  Generated from rpmpopt.in by configure.
    # $Id: rpmpopt.in,v 2.83 2009/04/06 00:21:20 jbj Exp $
    #
    # This file *should not be modified*. Local customizations
    # belong in /etc/popt, not here. This file will be replaced
    # whenever a new version of RPM is installed.
    #
    # Note: Not all popt aliases are documented. This is a decision on my
    # part as to which are the more important aliases. Feel free to clip
    # a copy of the alias/exec here and place in /etc/popt or ~/.popt with
    # your own words added. It's easier than arguing about how many options
    # fit on the head of an executable :-)
    #

    #==============================================================================
    rpm     alias --scripts --qf '\
    %|PRETRANS?{pretransinstall scriptlet\
    %|PRETRANSPROG?{ (using %{PRETRANSPROG})}|:\n%{PRETRANS}\n}:\
    {%|PRETRANSPROG?{pretransinstall program: %{PRETRANSPROG}\n}|}|\
    \
    %|PREIN?{preinstall scriptlet\
    %|PREINPROG?{ (using %{PREINPROG})}|:\n%{PREIN}\n}:\
    {%|PREINPROG?{preinstall program: %{PREINPROG}\n}|}|\
    \
    %|POSTIN?{postinstall scriptlet\
    %|POSTINPROG?{ (using %{POSTINPROG})}|:\n%{POSTIN}\n}:\
    {%|POSTINPROG?{postinstall program: %{POSTINPROG}\n}|}|\
    \
    %|PREUN?{preuninstall scriptlet\
    %|PREUNPROG?{ (using %{PREUNPROG})}|:\n%{PREUN}\n}:\
    {%|PREUNPROG?{preuninstall program: %{PREUNPROG}\n}|}|\
    \
    %|POSTUN?{postuninstall scriptlet\
    %|POSTUNPROG?{ (using %{POSTUNPROG})}|:\n%{POSTUN}\n}:\
    {%|POSTUNPROG?{postuninstall program: %{POSTUNPROG}\n}|}|\
    \
    %|POSTTRANS?{posttransinstall scriptlet\
    %|POSTTRANSPROG?{ (using %{POSTTRANSPROG})}|:\n%{POSTTRANS}\n}:\
    {%|POSTTRANSPROG?{posttransinstall program: %{POSTTRANSPROG}\n}|}|\
    \
    %|VERIFYSCRIPT?{verify scriptlet\
    %|VERIFYSCRIPTPROG?{ (using %{VERIFYSCRIPTPROG})}|:\n%{VERIFYSCRIPT}\n}:\
    {%|VERIFYSCRIPTPROG?{verifyscript program: %{VERIFYSCRIPTPROG}\n}|}|\
    ' \
            --POPTdesc=$"list install/erase scriptlets from package(s)"

    #==============================================================================
    rpm     alias --scripts:yaml --qf '\
    %|PREINPROG?{Prein(%{PREINPROG}):\
     %{PREIN:yaml}|\
    \n}|\
    %|POSTINPROG?{Postin(%{POSTINPROG}):\
     %{POSTIN:yaml}\
    \n}|\
    %|PREUNPROG?{Preun(%{PREUNPROG}):\
     %{PREUN:yaml}\
    \n}|\
    %|POSTUNPROG?{Postun(%{POSTUNPROG}):\
     %{POSTUN:yaml}\
    \n}|\
    ' \
            --POPTdesc=$"list install/erase scriptlets (YAML markup)"

    #==============================================================================
    rpm     alias --danglinglink  --nofiles  \
            --pipe "set $(grep '^/' | sort -u) ; [ -L  \"$1\" ] && echo \"$1\" " \
            --POPTdesc=$"display link needed, but not provided, by packages"

    rpm     alias --orphandirs --nofiles \
            --pipe "set $(grep '^/' | sort -u) ; [ -d  \"$1\" ] && echo \"$1\" " \
            --POPTdesc=$"display directories needed, but not provided, by packages"

    rpm     alias --setperms -q --qf '[\[ -L %{FILENAMES:shescape} \] || chmod %7.7{FILEMODES:octal} %{FILENAMES:shescape}\n]' \
                       --pipe "grep -v \(none\) | sed 's/chmod .../chmod /' | sh" \
            --POPTdesc=$"set permissions of files in a package"

    rpm     alias --setugids -q --qf \
            '[ch %{FILEUSERNAME:shescape} %{FILEGROUPNAME:shescape} %{FILENAMES:shescape}\n]' \
            --pipe "(echo 'ch() { chown -h -- \"$1\" \"$3\";chgrp -h -- \"$2\" \"$3\"; }';grep -v \(none\))|sh" \
            --POPTdesc=$"set user/group ownership of files in a package"

    rpm     alias --conflicts       --qf \
      "[%{CONFLICTNAME}%{CONFLICTFLAGS:depflags}%{CONFLICTVERSION}\n]" \
            --POPTdesc=$"list capabilities this package conflicts with"
    rpm     alias --obsoletes       --qf \
      "[%{OBSOLETENAME}%|OBSOLETEFLAGS?{%{OBSOLETEFLAGS:depflags}%{OBSOLETEVERSION}}:{}|\n]" \
            --POPTdesc=$"list other packages removed by installing this package"
    rpm     alias --provides        --qf \
      "[%{PROVIDENAME}%|PROVIDEFLAGS?{%{PROVIDEFLAGS:depflags}%{PROVIDEVERSION}}:{}|\n]" \
            --POPTdesc=$"list capabilities that this package provides"

    rpm     alias --requires        --qf \
      "[%{REQUIRENAME}%{REQUIREFLAGS:depflags}%{REQUIREVERSION}\n]" \
            --POPTdesc=$"list capabilities required by package(s)"
    rpm     alias -R --requires

    rpm     alias --suggests        --qf "[%{suggests}\n]" \
            --POPTdesc=$"list enhancements suggested by package(s)"

    rpm     alias --enhances        --qf "[%{enhances}\n]" \
            --POPTdesc=$"list enhancements suggested by package(s)"

    rpm     alias --info --qf 'Name        : %-27{NAME}  Relocations: %|PREFIXES?{[%{PREFIXES} ]}:{(not relocatable)}|\n\
    Version     : %-27{VERSION}       Vendor: %{VENDOR}\n\
    Release     : %-27{RELEASE}   Build Date: %{BUILDTIME:date}\n\
    Install Date: %|INSTALLTIME?{%-27.27{INSTALLTIME:date}}:{(not installed)         }|   Build Host: %{BUILDHOST}\n\
    Group       : %-29.29{GROUP} Source RPM: %{SOURCERPM}\n\
    Size        : %-27{SIZE}%|LICENSE?{      License: %{LICENSE}}|\n\
    Signature   : %|DSAHEADER?{%{DSAHEADER:pgpsig}}:{%|RSAHEADER?{%{RSAHEADER:pgpsig}}:{%|SIGGPG?{%{SIGGPG:pgpsig}}:{%|SIGPGP?{%{SIGPGP:pgpsig}}:{(none)}|}|}|}|\n\
    %|PACKAGER?{Packager    : %{PACKAGER}\n}|\
    %|URL?{URL         : %{URL}\n}|\
    Summary     : %{SUMMARY}\n\
    Description :\n%{DESCRIPTION}\n' \
            --POPTdesc=$"list descriptive information from package(s)"

    rpm     alias --changelog --qf '[* %{CHANGELOGTIME:day} %{CHANGELOGNAME}\n%{CHANGELOGTEXT}\n\n]' \
            --POPTdesc=$"list change logs for this package"

    #==============================================================================
    rpm     alias --xml --qf '[%{*:xml}\n]' \
            --POPTdesc=$"list metadata in xml"
    rpm     alias --yaml --qf '[%{*:yaml}\n]' \
            --POPTdesc=$"list metadata in yaml"
    rpm     alias --whatneeds -q --qf '[%{whatneeds}\n]' \
            --POPTdesc=$"list packages that depend on args"
    rpm     alias --needswhat -q --qf '[%{needswhat}\n]' \
            --POPTdesc=$"list prerequisite packages of args"

    #==============================================================================
    #rpm    alias --mancoosi:dudf.xml --qf '\
    #<dudf xmlns="http://www.mancoosi.org/2008/cudf/dudf" version="1.0">\
    #\n <timestamp>Thu, 02 Oct 2008 17:28:48 +0200</timestamp>\
    #\n <distribution>MandrivaLinux</distribution>\
    #\n <installer>\
    #\n  <name>rpm</name>\
    #\n  <version>5.2</version>\
    #\n </installer>\
    #\n <meta-installer>\
    #\n  <name>rpm</name>\
    #\n  <version>5.2</version>\
    #\n </meta-installer>\
    #\n <problem>\
    #\n  <installer>\
    #\n   <package-status format="rpm_db_header">\
    #\n    <package name="gpg-pubkey" version="22458a98" arch="src" release="3969e7de">\
    #\n     <provides>gpg(Mandriva Security Team &lt;security mandriva.com&gt;)[== 4:9aa8d0d022458a98-3969e7de] gpg(22458a98)[== 4:9aa8d0d022458a98-3969e7de] </provides>\
    #\n    </package>\
    #\n    <package name="gpg-pubkey" version="26752624" arch="src" release="3fd74faa">\
    #\n     <provides>gpg(MandrakeCooker &lt;cooker linux-mandrake.com&gt;)[== 4:dd684d7a26752624-3fd74faa] gpg(26752624)[== 4:dd684d7a26752624-3fd74faa] </provides>\
    #\n    </package>\
    #\n    <package name="dash-static" version="0.5.4" arch="i586" release="7mdv2008.1">\
    #\n     <provides>ash /bin/dash.static dash-static[== 0.5.4-7mdv2008.1] </provides>\
    #\n     <conflicts>dash[&lt; 0.5.4-3] </conflicts>\
    #\n    </package>\
    #\n    <package name="gpg-pubkey" version="70771ff3" arch="src" release="3c8f768f">\
    #\n     <provides>gpg(Mandrake Linux &lt;mandrake mandrakesoft.com&gt;)[== 4:e7898ae070771ff3-3c8f768f] gpg(70771ff3)[== 4:e7898ae070771ff3-3c8f768f] </provides>\
    #\n    </package>\
    #\n    <package name="gpg-pubkey" version="70771ff3" arch="src" release="3c8f768f">\
    #\n     <provides>gpg(Mandrake Linux &lt;mandrake mandrakesoft.com&gt;)[== 4:e7898ae070771ff3-3c8f768f] gpg(70771ff3)[== 4:e7898ae070771ff3-3c8f768f] </provides>\
    #\n    </package>\
    #\n    <package name="gpg-pubkey" version="78d019f5" arch="src" release="3fd7504d">\
    #\n     <provides>gpg(MandrakeContrib &lt;cooker linux-mandrake.com&gt;)[== 4:445935f878d019f5-3fd7504d] gpg(78d019f5)[== 4:445935f878d019f5-3fd7504d] </provides>\
    #\n    </package>\
    #\n    <package name="gpg-pubkey" version="70771ff3" arch="src" release="44b3822e">\
    #\n     <provides>gpg(Mandriva Linux &lt;mandriva mandriva.com&gt;)[== 4:e7898ae070771ff3-44b3822e] gpg(70771ff3)[== 4:e7898ae070771ff3-44b3822e] </provides>\
    #\n    </package>\
    #\n    <package name="glibc" version="2.7" arch="i586" release="12mnb1">\
    #\n'

    #==============================================================================
    #rpm    alias --deb:control --qf '\
    #Package: %{NAME}\
    #\nVersion: %|EPOCH?{%{EPOCH}:}|%{VERSION}-%{RELEASE}\
    #\nSection: %{GROUP}\
    #%|Priority?{\
    #\nPriority: %{Priority}\
    #}:{\
    #\nPriority: standard\
    #}|\
    #\nArchitecture: %{ARCH:strsub(noarch,all,src,source)}\
    #%|Essential?{\
    #\nEssential: %{Essential}\
    #}|\
    #%|REQUIRENAME?{\
    #\nDepends:[ %{Debdepends}]\
    #}|\
    #%|Predepends?{\
    #\nPre-Depends:[ %{Predepends}]\
    #}|\
    #%|Recommends?{\
    #\nRecommends:[ %{Recommends}]\
    #}|\
    #%|Suggests?{\
    #\nSuggests:[ %{Suggests}]\
    #}|\
    #%|Enhances?{\
    #\nEnhances:[ %{Enhances}]\
    #}|\
    #%|Breaks?{\
    #\nBreaks:[ %{Breaks}]\
    #}|\
    #%|CONFLICTNAME?{\
    #\nConflicts:[ %{Debconflicts}]\
    #}|\
    #\nInstalled-Size: %{SIZE:rpn(1023,+,1024,/)}\
    #%|PACKAGER?{\
    #\nMaintainer: %{PACKAGER}\
    #}|\
    #\nDescription: %{SUMMARY}\
    #\n%{DESCRIPTION:strsub(^, )}\
    #%|URL?{\
    #\nHomepage: %{URL}\
    #}|\
    #\n' \
    #       --POPTdesc=$"display binary debian/control file"

    rpm     alias --deb:Packages --qf /usr/local/lib/rpm/qf/deb_Packages \
            --POPTdesc=$"display Debian Packages file"

    rpm     alias --deb:Sources --qf /usr/local/lib/rpm/qf/deb_Sources \
            --POPTdesc=$"display Debian Sources file"

    rpm     alias --deb:control --qf /usr/local/lib/rpm/qf/deb_control \
            --POPTdesc=$"display binary debian/control file"

    rpm     alias --deb:preinst --qf /usr/local/lib/rpm/qf/deb_preinst \
            --POPTdesc=$"display debian/preinst script"

    rpm     alias --deb:postinst --qf /usr/local/lib/rpm/qf/deb_postinst \
            --POPTdesc=$"display debian/postinst script"

    rpm     alias --deb:prerm --qf /usr/local/lib/rpm/qf/deb_prerm \
            --POPTdesc=$"display debian/prerm script"

    rpm     alias --deb:postrm --qf /usr/local/lib/rpm/qf/deb_postrm \
            --POPTdesc=$"display debian/postrm script"

    rpm     alias --deb:md5sums --qf /usr/local/lib/rpm/qf/deb_md5sums \
            --POPTdesc=$"display debian/md5sums manifest"

    #==============================================================================
    rpm     alias --yum:primary.xml --qf /usr/local/lib/rpm/qf/yum_primary_xml \
            --POPTdesc=$"display yum primary.xml markup"

    rpm     alias --yum:filelists.xml --qf /usr/local/lib/rpm/qf/yum_filelists_xml \
            --POPTdesc=$"display yum filelists.xml markup"

    rpm     alias --yum:other.xml --qf /usr/local/lib/rpm/qf/yum_other_xml \
            --POPTdesc=$"display yum other.xml markup"

    #==============================================================================
    rpm     alias --yum:primary.sqlite --qf /usr/local/lib/rpm/qf/yum_primary_sqlite \
            --POPTdesc=$"display yum primary.sqlite import"

    rpm     alias --yum:filelists.sqlite --qf /usr/local/lib/rpm/qf/yum_filelists_sqlite \
            --POPTdesc=$"display yum filelists.sqlite import"

    rpm     alias --yum:other.sqlite --qf /usr/local/lib/rpm/qf/yum_other_sqlite \
            --POPTdesc=$"display yum other.sqlite import"

    #==============================================================================
    rpm     alias --wnh:primary.yaml --qf /usr/local/lib/rpm/qf/wnh_primary_yaml \
            --POPTdesc=$"display wnh primary.yaml markup"

    rpm     alias --wnh:filelists.yaml --qf /usr/local/lib/rpm/qf/wnh_filelists_yaml \
            --POPTdesc=$"display wnh filelists.yaml markup"

    rpm     alias --wnh:other.yaml --qf /usr/local/lib/rpm/qf/wnh_other_yaml \
            --POPTdesc=$"display wnh other.yaml markup"

    #==============================================================================
    rpm     alias --triggerscripts --qf '\
    [trigger%{TRIGGERTYPE} scriptlet (using %{TRIGGERSCRIPTPROG}) -- %{TRIGGERCONDS}\n\
    %{TRIGGERSCRIPTS}\n]'
    rpm     alias --triggers --triggerscripts \
            --POPTdesc=$"list trigger scriptlets from package(s)"

    rpm     alias --last --qf '%|INSTALLTIME?{%{INSTALLTIME}}:{000000000}| %{NAME}-%{VERSION}-%{RELEASE} %|INSTALLTIME?{%{INSTALLTIME:date}}:{(not installed)}|\n' \
            --pipe "sort -r -n | sed 's,^[0-9]\+ ,,' | awk '{printf(\"%-45s %-s\n\", $1, substr($0,length($1)+2))}' " \
            --POPTdesc=$"list package(s) by install time, most recent first"

    rpm     alias --dupes   --qf '%|SOURCERPM?{%{name}.%{arch}}:{%|ARCH?{%{name}}:{%{name}-%{version}}|}|\n' --pipe "sort | uniq -d" \
            --POPTdesc=$"list duplicated packages"

    rpm     alias --filesbypkg --qf '[%-25{=NAME} %{FILENAMES}\n]' \
            --POPTdesc=$"list all files from each package"

    rpm     alias --fileclass --qf '[%{FILENAMES}\t%{FILECLASS}\n]' \
            --POPTdesc=$"list file names with classes"

    rpm     alias --filecolor --qf '[%{FILENAMES}\t%{FILECOLORS}\n]' \
            --POPTdesc=$"list file names with colors"

    rpm     alias --filecontext --qf '[%{FILENAMES}\t%{FILECONTEXTS}\n]' \
            --POPTdesc=$"list file names with security context from header"

    rpm     alias --fscontext --qf '[%{FILENAMES}\t%{FSCONTEXTS}\n]' \
            --POPTdesc=$"list file names with security context from file system"

    rpm     alias --recontext --qf '[%{FILENAMES}\t%{RECONTEXTS}\n]' \
            --POPTdesc=$"list file names with security context from policy RE"

    rpm     alias --fileprovide --qf '[%{FILENAMES}\t%{FILEPROVIDE}\n]' \
            --POPTdesc=$"list file names with provides"

    rpm     alias --filerequire --qf '[%{FILENAMES}\t%{FILEREQUIRE}\n]' \
            --POPTdesc=$"list file names with requires"

    rpm alias --vendorprovides -q --define '_dbpath /usr/lib/rpmdb/%{_arch}-%{_vendor}-%{_os}/%{_vendor}' --whatprovides \
            --POPTdesc=$"find package name that contains a provided capability (needs rpmdb-vendor package installed)"

    rpm alias --vendorrequires -q --define '_dbpath /usr/lib/rpmdb/%{_arch}-%{_vendor}-%{_os}/%{_vendor}' --whatrequires \
            --POPTdesc=$"find package name that contains a required capability (needs rpmdb-vendor package installed)"

    #
    # Autorollback aliases
    rpm alias --autorollback --define '_rollback_transaction_on_failure 1' \
            --POPTdesc=$"Failed transactions will be rolled back automatically"

    rpm     alias --blink   --qf '%{name}-%{version}-%{release}.%|SOURCERPM?{%{arch}.rpm}:{%|ARCH?{src.rpm}:{pubkey}|}|\n%|BLINKNEVRA?{[\t<= %{BLINKNEVRA}.rpm\n]}|'
     \
            --POPTdesc=$"display package(s) previously installed"
    rpm     alias --flink   --qf '%{name}-%{version}-%{release}.%|SOURCERPM?{%{arch}.rpm}:{%|ARCH?{src.rpm}:{pubkey}|}|\n%|FLINKNEVRA?{[\t=> %{FLINKNEVRA}.rpm\n]}|'
     \
            --POPTdesc=$"display package(s) which replaced"

    # colon separated i18n domains to use as PO catalogue lookaside for
    # retrieving header group/description/summary.
    #
    # For vendors, value should be "vendor-dist".
    rpm alias --i18ndomains --define '_i18ndomains !#:+'

    # Build policies enabled from command line. Last policy applies.
    rpm alias --buildpolicy --define '__os_install_post %{_usrlibrpm}/brp-!#:+' \
            --POPTdesc=$"set buildroot <policy> (e.g. compress man pages)" \
            --POPTargs=$"<policy>"

    # Short-hand option
    rpm alias --force --replacepkgs --replacefiles --oldpackage \
            --POPTdesc=$"force operation (short hand for --replacepkgs --replacefiles --oldpackage on installation)"

    # Choose db interface:
    #       0       same as 1
    #       1       native db1 interface (e.g. linux glibc libdb1 routines).
    #       2       native db2 interface.
    #       3       native db3 interface.
    #       -1      db3 -> db2 -> db1 (as available).
    #
    # There are two macros so that --rebuilddb can convert db1 -> db3
    rpm alias --dbapi                --define '_dbapi !#:+'

    rpm     alias --rebuilddbapi     --define '_dbapi_rebuild !#:+'
    rpm     alias --rebuilddbpath    --define '_dbpath_rebuild !#:+'

    #==============================================================================
    #       [--dbpath DIRECTORY"    "use database in DIRECTORY"
    rpm     alias --dbpath          --define '_dbpath !#:+'
    #       [--ftpport <port>]      "port number of ftp server (or proxy)"
    rpm     alias --ftpport         --define '_ftpport !#:+'
    #       [--ftpproxy <host>]     "hostname or IP of ftp proxy"
    rpm     alias --ftpproxy        --define '_ftpproxy !#:+'
    #       [--httpport <port>]     "port number of http server (or proxy)"
    rpm     alias --httpport        --define '_httpport !#:+'
    #       [--httpproxy <host>]    "hostname or IP of http proxy"
    rpm     alias --httpproxy       --define '_httpproxy !#:+'

    # RPM_VENDOR_PLD /* rpm-popt-aliases */
    rpm    alias --downgrade       --oldpackage \
            --POPTdesc=$"Allow an upgrade to replace a newer package with an older one."

    rpm alias --what-provides --whatprovides \
            --POPTdesc=$"find package name that contains a provided capability"

    rpm alias --what-requires --whatrequires \
            --POPTdesc=$"find package name that contains a required capability"

    rpm alias --norepackage --define '_repackage_all_erasures 0' \
            --POPTdesc=$"Disable re-package of the files before erasing"
    # RPM_VENDOR_PLD /* rpm-popt-aliases */

    # set the time check to <secs>
    rpm     alias --timecheck       --define '_timecheck !#:+'

    rpm     alias --with            --define "_with_!#:+       --with-!#:+" \
            --POPTdesc=$"enable configure <option> for build" \
            --POPTargs=$"<option>"
    rpm     alias --without         --define "_without_!#:+    --without-!#:+" \
            --POPTdesc=$"disable configure <option> for build" \
            --POPTargs=$"<option>"
    #==============================================================================
    rpmb    alias --dbpath          --define '_dbpath !#:+' \
            --POPTdesc=$"use database in DIRECTORY" \
            --POPTargs=$"DIRECTORY"
    rpmb    alias --ftpport         --define '_ftpport !#:+'
    rpmb    alias --ftpproxy        --define '_ftpproxy !#:+'
    rpmb    alias --httpport        --define '_httpport !#:+'
    rpmb    alias --httpproxy       --define '_httpproxy !#:+'
    rpmb    alias --timecheck       --define '_timecheck !#:+'
    rpmb    alias --with            --define "_with_!#:+       --with-!#:+" \
            --POPTdesc=$"enable configure <option> for build" \
            --POPTargs=$"<option>"
    rpmb    alias --without         --define "_without_!#:+    --without-!#:+" \
            --POPTdesc=$"disable configure <option> for build" \
            --POPTargs=$"<option>"
    #==============================================================================
    rpmbuild        alias --dbpath          --define '_dbpath !#:+' \
            --POPTdesc=$"use database in DIRECTORY" \
            --POPTargs=$"DIRECTORY"
    rpmbuild alias --ftpport                --define '_ftpport !#:+'
    rpmbuild alias --ftpproxy       --define '_ftpproxy !#:+'
    rpmbuild alias --httpport       --define '_httpport !#:+'
    rpmbuild alias --httpproxy      --define '_httpproxy !#:+'
    rpmbuild alias --timecheck      --define '_timecheck !#:+'
    rpmbuild alias --with           --define "_with_!#:+     --with-!#:+" \
            --POPTdesc=$"enable configure <option> for build" \
            --POPTargs=$"<option>"
    rpmbuild alias --without        --define "_without_!#:+  --without-!#:+" \
            --POPTdesc=$"disable configure <option> for build" \
            --POPTargs=$"<option>"
    rpmbuild alias --buildroot      --define '.buildroot !#:+' \
            --POPTdesc=$"override build root" \
            --POPTargs=$"DIRECTORY"

    rpmbuild alias --lsb --noautoreq --noautoprov \
            --define '_use_internal_dependency_generator 0' \
            --notinlsb

    #

#